
Robotics Service Bus - Feature #725
Disable Spread by Default
11/18/2011 02:50 PM - S. Wrede

Status: Resolved Start date: 11/18/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Spread Connector Estimated time: 0.00 hour
Target version: rsb-0.9
Description

This is still needed in:

    -  Java
    -  Python?

Related issues:
Related to Robotics Service Bus - Tasks # 370: Relicensing to LGPL Resolved 01/05/2012

Associated revisions
Revision c5d54fa7 - 07/26/2013 09:20 AM - J. Wienke

fixes #1012: enabled socket transport as default

    -  Factory.java: use socket as default transport
    -  DefaultTransports.java: register socket transport factory

refs #725

History
#1 - 11/18/2011 03:08 PM - S. Wrede
- Tracker changed from Bug to Feature

#2 - 02/27/2012 03:31 PM - J. Wienke
- Target version deleted (0.6)

#3 - 09/16/2012 03:15 PM - J. Moringen
- Target version set to rsb-0.9

#4 - 07/16/2013 11:33 PM - J. Wienke
- Assignee changed from S. Wrede to J. Wienke

#5 - 07/16/2013 11:35 PM - J. Moringen

Now that I look at it, implementing the local transport should not block this, right?

#6 - 07/26/2013 09:21 AM - J. Wienke

Isn't this done for python? I just committed the respective change for java. If python is done, we can close this issue.
#7 - 07/26/2013 09:27 AM - J. Moringen

The Python code has the socket transport enabled by default. Thus, Spread should be disabled by default.

@Johannes: What do you think about the earlier comment:

Now that I look at it, implementing the local transport should not block this, right?

#8 - 07/26/2013 09:42 AM - J. Wienke

Jan Moringen wrote:

@Johannes: What do you think about the earlier comment:

Now that I look at it, implementing the local transport should not block this, right?

Hm, partially outdated now? We can close this issue now and add a new one for implementing a local transport in java, if it doesn't exist?

#9 - 07/26/2013 09:56 AM - J. Moringen

OK, I removed the "blocked-by" relation. We can close this issue now, right?

#10 - 07/26/2013 04:10 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100
